Bug 1087496

Summary: Use system libtomcrypt instead of bundled one
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: bitfrostAssignee: Daniel Drake <dsd>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: chris, dsd, pbrobinson
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 07:21:26 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 504493    
Attachments:
Description Flags
Use system libtomcrypt instead of bundled one none

Description Ville Skyttä 2014-04-14 09:12:33 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

'git am'able fix attached, build tested only. Let me know if you'd
like me to push and build this for devel.
Comment 1 Ville Skyttä 2014-04-14 09:12:39 EDT
Created attachment 886134 [details]
Use system libtomcrypt instead of bundled one
Comment 2 Jaroslav Reznik 2015-03-03 10:41:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 07:21:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Ville Skyttä 2016-07-19 10:29:22 EDT
$ repoquery --repoid=rawhide-debuginfo -l bitfrost-debuginfo 2>/dev/null | grep libtomcrypt
/usr/src/debug/bitfrost-1.0.19/libtomcrypt
[...]
Comment 5 Jan Kurik 2016-07-26 00:14:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.